package com.ruoyi.system.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jiuli
 * @Date 2024/1/16
 */
public class BodyModel implements Serializable {
    //分录ID
    private String id;
    //关联凭证头ID
    private String voucherid;
    //分录号
    private Integer recordnumber;
    //凭证摘要
    private String description;
    //借方原币金额
    private BigDecimal debit_original;
    //贷方原币金额
    private BigDecimal credit_original;
    //借方本币（账簿）
    private BigDecimal debit_org;
    //贷方本币（账簿）
    private BigDecimal credit_org;
    //借方本币（组织）
    private BigDecimal  organize_debit_amount;
    //贷方本币（组织）
    private BigDecimal organize_credit_amount;
    //借方本币（集团）
    private BigDecimal debit_group;
    //贷方本币（集团）
    private BigDecimal credit_group;
    //借方本币（全局）
    private BigDecimal debit_global;
    //贷方本币（全局）
    private BigDecimal credit_global;
    //数量
    private BigDecimal quantity;
    //借方数量
    private BigDecimal debit_quantity;
    //贷方数量
    private BigDecimal credit_quantity;
    //单价
    private BigDecimal price;
    //汇率
    private BigDecimal rate_org;
    //汇率（组织）
    private BigDecimal organize_rate;
    //汇率（集团）
    private BigDecimal rate_group;
    //汇率（全局）
    private BigDecimal rate_global;
    //票据日期
    private String billTime;
    //票据号
    private String billNo;
    //银行对账码
    private String bankVerifyCode;
    //银行对账状态（true-已对账，false-未对账）
    private Boolean checkflag;
    //关联辅助核算记录ID
    private String auxiliary;
    //分录关联的辅助核算项来源档案取值名称
    private String auxiliaryShow;
    //分录关联的现金流量名称
    private String cashFlowProjectDisplayName;
    //科目
    private AccsubjectModel accsubject;
    //币种
    private CurrencyModel currency;
    //汇率类型
    private RatetypeModel ratetype;
    //结算方式
    private SettlementModeModel  settlementMode;
    //二级核算会计主体
    private SecondorgModel secondorg;
    //辅助核算项
    private List<ClientauxiliaryModel> clientauxiliary;
    //现金流量
    private List<CashFlowProjectModel>cashFlowProjectList;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVoucherid() {
        return voucherid;
    }

    public void setVoucherid(String voucherid) {
        this.voucherid = voucherid;
    }

    public Integer getRecordnumber() {
        return recordnumber;
    }

    public void setRecordnumber(Integer recordnumber) {
        this.recordnumber = recordnumber;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getDebit_original() {
        return debit_original;
    }

    public void setDebit_original(BigDecimal debit_original) {
        this.debit_original = debit_original;
    }

    public BigDecimal getCredit_original() {
        return credit_original;
    }

    public void setCredit_original(BigDecimal credit_original) {
        this.credit_original = credit_original;
    }

    public BigDecimal getDebit_org() {
        return debit_org;
    }

    public void setDebit_org(BigDecimal debit_org) {
        this.debit_org = debit_org;
    }

    public BigDecimal getCredit_org() {
        return credit_org;
    }

    public void setCredit_org(BigDecimal credit_org) {
        this.credit_org = credit_org;
    }

    public BigDecimal getOrganize_debit_amount() {
        return organize_debit_amount;
    }

    public void setOrganize_debit_amount(BigDecimal organize_debit_amount) {
        this.organize_debit_amount = organize_debit_amount;
    }

    public BigDecimal getOrganize_credit_amount() {
        return organize_credit_amount;
    }

    public void setOrganize_credit_amount(BigDecimal organize_credit_amount) {
        this.organize_credit_amount = organize_credit_amount;
    }

    public BigDecimal getDebit_group() {
        return debit_group;
    }

    public void setDebit_group(BigDecimal debit_group) {
        this.debit_group = debit_group;
    }

    public BigDecimal getCredit_group() {
        return credit_group;
    }

    public void setCredit_group(BigDecimal credit_group) {
        this.credit_group = credit_group;
    }

    public BigDecimal getDebit_global() {
        return debit_global;
    }

    public void setDebit_global(BigDecimal debit_global) {
        this.debit_global = debit_global;
    }

    public BigDecimal getCredit_global() {
        return credit_global;
    }

    public void setCredit_global(BigDecimal credit_global) {
        this.credit_global = credit_global;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public BigDecimal getDebit_quantity() {
        return debit_quantity;
    }

    public void setDebit_quantity(BigDecimal debit_quantity) {
        this.debit_quantity = debit_quantity;
    }

    public BigDecimal getCredit_quantity() {
        return credit_quantity;
    }

    public void setCredit_quantity(BigDecimal credit_quantity) {
        this.credit_quantity = credit_quantity;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getRate_org() {
        return rate_org;
    }

    public void setRate_org(BigDecimal rate_org) {
        this.rate_org = rate_org;
    }

    public BigDecimal getOrganize_rate() {
        return organize_rate;
    }

    public void setOrganize_rate(BigDecimal organize_rate) {
        this.organize_rate = organize_rate;
    }

    public BigDecimal getRate_group() {
        return rate_group;
    }

    public void setRate_group(BigDecimal rate_group) {
        this.rate_group = rate_group;
    }

    public BigDecimal getRate_global() {
        return rate_global;
    }

    public void setRate_global(BigDecimal rate_global) {
        this.rate_global = rate_global;
    }

    public String getBillTime() {
        return billTime;
    }

    public void setBillTime(String billTime) {
        this.billTime = billTime;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBankVerifyCode() {
        return bankVerifyCode;
    }

    public void setBankVerifyCode(String bankVerifyCode) {
        this.bankVerifyCode = bankVerifyCode;
    }

    public Boolean getCheckflag() {
        return checkflag;
    }

    public void setCheckflag(Boolean checkflag) {
        this.checkflag = checkflag;
    }

    public String getAuxiliary() {
        return auxiliary;
    }

    public void setAuxiliary(String auxiliary) {
        this.auxiliary = auxiliary;
    }

    public String getAuxiliaryShow() {
        return auxiliaryShow;
    }

    public void setAuxiliaryShow(String auxiliaryShow) {
        this.auxiliaryShow = auxiliaryShow;
    }

    public String getCashFlowProjectDisplayName() {
        return cashFlowProjectDisplayName;
    }

    public void setCashFlowProjectDisplayName(String cashFlowProjectDisplayName) {
        this.cashFlowProjectDisplayName = cashFlowProjectDisplayName;
    }

    public AccsubjectModel getAccsubject() {
        return accsubject;
    }

    public void setAccsubject(AccsubjectModel accsubject) {
        this.accsubject = accsubject;
    }

    public CurrencyModel getCurrency() {
        return currency;
    }

    public void setCurrency(CurrencyModel currency) {
        this.currency = currency;
    }

    public RatetypeModel getRatetype() {
        return ratetype;
    }

    public void setRatetype(RatetypeModel ratetype) {
        this.ratetype = ratetype;
    }

    public SettlementModeModel getSettlementMode() {
        return settlementMode;
    }

    public void setSettlementMode(SettlementModeModel settlementMode) {
        this.settlementMode = settlementMode;
    }

    public SecondorgModel getSecondorg() {
        return secondorg;
    }

    public void setSecondorg(SecondorgModel secondorg) {
        this.secondorg = secondorg;
    }

    public List<ClientauxiliaryModel> getClientauxiliary() {
        return clientauxiliary;
    }

    public void setClientauxiliary(List<ClientauxiliaryModel> clientauxiliary) {
        this.clientauxiliary = clientauxiliary;
    }

    public List<CashFlowProjectModel> getCashFlowProjectList() {
        return cashFlowProjectList;
    }

    public void setCashFlowProjectList(List<CashFlowProjectModel> cashFlowProjectList) {
        this.cashFlowProjectList = cashFlowProjectList;
    }
}
